Subject: Re: [2.4 PATCH] bugfix: ARP respond on all devices

From: "David S. Miller" <[email-masked]>
Date: Tue, 19 Aug 2003 11:13:58 -0700

On Tue, 19 Aug 2003 19:16:18 +0100
Richard Underwood <[email-masked]> wrote:

> David S. Miller wrote:
> > Ok, then how would you propose to be able to send
> > packets out an interface _before_ we have addresses
> > assigned to it?
> > 
> 	IP packets you mean? You don't? ;) It would depend on why you're
> doing it naturally. Mostly, I'd have thought that if a host doesn't have an
> IP number it doesn't get to use ARP.

Of course it gets to use ARP, nothing prevents this.

If I know that IP X has my configuration information, I
have every right to send X a packet from zero-net to
ask for that information before I have any IP addresses
attached to the interface.

This is nothing wrong nor strange about this and we've
supported it for years.

Also, when one specifies a specific device in an output
address and we cannot find the IP part of the address
in the routing tables, we still procure a valid route for
the requester.

Besides normal IP addresses, multicast tools use these
facilities.